in lowp vec4 colorV;
out vec4 fragColor;
in lowp vec4 pos;
uniform lowp float minVal;
uniform lowp float maxVal;

void main(void) {
    float isInRange = step(minVal, pos.y) * step(pos.y, maxVal);
    fragColor = mix(vec4(1.0, 0.5, 0.5, 1.0), colorV, isInRange);
}